# Fetch 1.3

Hey guys,

We're in the middle of renaming 'fetch' to something else as there are
already other programs using the name and we don't appear in any searches.

You can help out by voting in our poll here:

http://strawpoll.me/6894425


- Fetch now supports **bash 3.0+**.
- More cleanup
- The text is now by default colored according to your distro's logo.
- Removed `$*_color` variables/flags in favour of a general `$colors`
variable/flag. See my writeup here: **https://github.com/dylanaraps/fetch/pull/96**

### Image

- You no longer need to set the font_width value, your font size
is now calculated by fetch automatically.
- Image sizing now takes terminal height into account.
- `--size` now also takes a percentage as a value, for example.

```sh
# Image takes up 70% of the terminal size.
fetch --size 70%

# Size the image in pixels.
fetch --size 200px
```

### Packages
- Fetch now has a `crux` port. Thanks **[@ix](https://github.com/ix)**.

### OS

- Added support for `BunsenLabs`.
- Added support for `SailfishOS`. (Untested)

### Info

- Don't display Theme, Icons, Font or Window Manager if X isn't running.
- Added function to show currently logged in users.

**Window Manager**
- Add support for Wayland window managers. (Hardcoded)

**Song**
- Added `song_shorthand` which prints the Artist/Title on seperate lines.

**Theme**
- Windows Visual Style is now a part of `getstyle`.
- Disabled theme output on OS X to fix a `gsetttings` related crash.
- Uppercase the first letter of the theme.

**Resolution**
- Added Windows support.
- Enabled by default but only displays info if the dependency is found.

**Battery**
- Added FreeBSD and OpenBSD support. Thanks **[@tudurom](https://github.com/tudurom)**.

**GPU**
- Added more substitutions/

### Stdout

Printing to stdout in a plaintext format for use in scripts is now
much faster and cleaner.

- Removed `--stdout_separator` (Separator is now 2 spaces)
- Removed `--stdout_subtitles`
- Removed `--stdout_title`
